> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a signals collection

> Create a new signals collection.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-rest-server.json post /signals/create/{collection}
openapi: 3.0.1
info:
  title: Job REST Server API
  description: This group of APIs allows you to manage jobs, recommendations, and signals.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of the API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Recommendation Controller API
    description: Endpoints for the recommendation controller.
  - name: Signals Controller API
    description: Endpoints for the signals controller.
  - name: Spark Job Config Controller API
    description: Use these endpoints to manage Spark job configurations.
  - name: Spark Job Controller API
    description: Use these endpoints to start, stop, and check the status of Spark jobs.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /signals/create/{collection}:
    post:
      tags:
        - Signals Controller API
      summary: Create a signals collection
      description: Create a new signals collection.
      operationId: createSignalsCollections
      parameters:
        - name: collection
          description: The primary collection for which to create a new signals collection.
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                type: object
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CollectionNames'
components:
  schemas:
    CollectionNames:
      type: object
      properties:
        collection:
          description: The name of the main collection.
          type: string
        signalsCollection:
          description: The name of the raw signals collection.
          type: string
        signalsAggrCollection:
          description: The name of the aggregated signals collection.
          type: string
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````